<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";


echo'<img src="../images/img/profiles.gif" alt=""> <b>Мои настройки</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){


if($config_themes!="wml"){
echo'<form method="post" action="insetting.php?'.SID.'">';

#----------------------------------------#
echo 'Wap-тема по умолчанию:<br>';
echo '<select name="skins">';
echo '<option value="'.$config_themes.'">'.$config_themes.'</option>';

$dir = opendir (BASEDIR."themes"); 
while ($wapthemes = readdir ($dir)) {

if (is_dir(BASEDIR."themes/$wapthemes")) {
if($wapthemes=="." || $wapthemes==".." || $wapthemes==$config_themes) continue;

echo'<option value="'.$wapthemes.'">'.$wapthemes.'</option>';
}}
echo'</select><br>';
closedir ($dir);

#----------------------------------------#
echo'Сообщений в гостевой на стр.:<br><input name="bookpostus" value="'.$udata[21].'" /><br>';
echo'Новостей на стр.:<br><input name="news" value="'.$udata[22].'" /><br>';
echo'Сообщений в форуме:<br><input name="forumpost" value="'.$udata[23].'" /><br>';
echo'Тем в форуме:<br><input name="forumtem" value="'.$udata[24].'" /><br>';
echo'Cообщений в чате :<br><input name="chatpost" value="'.$udata[26].'" /><br>';
echo'Юзерлист чел. на стр.:<br><input name="userlist" value="'.$udata[25].'" /><br>';
echo'Время автообновления чата в сек (max.300):<br><input name="rewnew" value="'.$udata[27].'" /><br>';
echo'Кол-во объявлений на стр.:<br><input name="board" value="'.$udata[28].'" /><br>';
echo'Писем в привате на стр.:<br><input name="prrivs" value="'.$udata[32].'" /><br>';
echo'Временной сдвиг (+1 -1):<br><input name="sdvig" value="'.$udata[30].'" /><br>';

echo'Показывать Часы:<br>';
echo'Да';

if($udata[31]=="1"){
echo'<input name="times" type="radio" value="1" checked>';
} else {
echo'<input name="times" type="radio" value="1" />';}
echo' &nbsp; &nbsp; ';

if($udata[31]=="0"){
echo'<input name="times" type="radio" value="0" checked>';
} else {
echo'<input name="times" type="radio" value="0" />';}  
echo'Нет<br>';	
	
echo'Включить графику:<br>';
echo'Да';

if($udata[42]=="1"){
echo'<input name="graffic" type="radio" value="1" checked>';
} else {
echo'<input name="graffic" type="radio" value="1" />';}
echo' &nbsp; &nbsp; ';

if($udata[42]=="0"){
echo'<input name="graffic" type="radio" value="0" checked>';
} else {
echo'<input name="graffic" type="radio" value="0" />';}  
echo'Нет<br>';	
	
echo'Включить аватары:<br>';
echo'Да';

if($udata[45]=="1"){
echo'<input name="editavator" type="radio" value="1" checked>';
} else {
echo'<input name="editavator" type="radio" value="1" />';}
echo' &nbsp; &nbsp; ';

if($udata[45]=="0"){
echo'<input name="editavator" type="radio" value="0" checked>';
} else {
echo'<input name="editavator" type="radio" value="0" />';}  
echo'Нет<br>';	
	
echo'Включить персонажа игры:<br>';
echo'Да';
if($udata[55]=="1"){
echo'<input name="editperson" type="radio" value="1" checked>';
} else {
echo'<input name="editperson" type="radio" value="1" />';}
echo' &nbsp; &nbsp; ';	
	
	
if($udata[55]=="0"){
echo'<input name="editperson" type="radio" value="0" checked>';
} else {
echo'<input name="editperson" type="radio" value="0" />';}  
echo'Нет<br>';		
	
echo'Привязка к IP+браузер:<br>';
echo'Да';
if($udata[66]=="1"){
echo'<input name="ipcontrol" type="radio" value="1" checked>';
} else {
echo'<input name="ipcontrol" type="radio" value="1" />';}
echo' &nbsp; &nbsp; ';	
	
	
if($udata[66]=="0"){
echo'<input name="ipcontrol" type="radio" value="0" checked>';
} else {
echo'<input name="ipcontrol" type="radio" value="0" />';}  
echo'Нет<br>';	
	
echo'Скрывать местонахождение:<br>';
echo'Да';
if($udata[74]=="1"){
echo'<input name="udata74" type="radio" value="1" checked>';
} else {
echo'<input name="udata74" type="radio" value="1" />';}
echo' &nbsp; &nbsp; ';	
	
	
if($udata[74]=="0"){
echo'<input name="udata74" type="radio" value="0" checked>';
} else {
echo'<input name="udata74" type="radio" value="0" />';}  
echo'Нет<br><br>';		

echo'<input value="Изменить" type="submit" /></form><hr>';

//------------------------------ WML-тема -------------------------------------//
}else{

echo 'Cкин/Тема:<br>';

echo '<select name="skins"><option value="'.$config_themes.'">'.$config_themes.'</option>';

$dir = opendir ("../themes"); 
while ($wapthemes = readdir ($dir)) {

if (is_dir(BASEDIR."themes/$wapthemes")) {
if($wapthemes=="." || $wapthemes==".." || $wapthemes==$config_themes) continue;

echo'<option value="'.$wapthemes.'">'.$wapthemes.'</option>';
}}
echo'</select><br>';
closedir ($dir);

echo'Сообщений в гостевой на стр.:<br><input name="bookpostus" value="'.$udata[21].'" /><br>';
echo'Новостей на стр.:<br><input name="news" value="'.$udata[22].'" /><br>';
echo'Сообщений в форуме:<br><input name="forumpost" value="'.$udata[23].'" /><br>';
echo'Тем в форуме:<br><input name="forumtem" value="'.$udata[24].'" /><br>';
echo'Cообщений в чате :<br><input name="chatpost" value="'.$udata[26].'" /><br>';
echo'Юзерлист чел. на стр.:<br><input name="userlist" value="'.$udata[25].'" /><br>';
echo'Время автообновления чата в сек (max.300):<br><input name="rewnew" value="'.$udata[27].'" /><br>';
echo'Кол-во объявлений на стр.:<br><input name="board" value="'.$udata[28].'" /><br>';
echo'Писем в привате на стр.:<br><input name="prrivs" value="'.$udata[32].'" /><br>';
echo'Временной сдвиг (+1 -1):<br><input name="sdvig" value="'.$udata[30].'" /><br>';


echo'Показывать Часы:<br>';
if($udata[31]=="1"){
echo'<select name="times"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br>';
} else {
echo'<select name="times"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br>';}

echo'Включить графику:<br>';
if($udata[42]=="1"){
echo'<select name="graffic"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br>';
} else {
echo'<select name="graffic"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br>';}

echo'Включить аватары:<br>';
if($udata[45]=="1"){
echo'<select name="editavator"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br>';
} else {
echo'<select name="editavator"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br>';}

echo'Включить персонажа игры:<br>';
if($udata[55]=="1"){
echo'<select name="editperson"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br>';
} else {
echo'<select name="editperson"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br>';}

echo'Привязка к IP+браузер:<br>';
if($udata[66]=="1"){
echo'<select name="ipcontrol"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br>';
} else {
echo'<select name="ipcontrol"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br>';}

echo'Скрывать местонахождение:<br>';
if($udata[74]=="1"){
echo'<select name="udata74"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br>';
} else {
echo'<select name="udata74"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br>';}


echo'<anchor>Изменить';
echo'<go href="insetting.php?'.SID.'" method="post">';
echo'<postfield name="skins" value="$(skins)"/>';
echo'<postfield name="bookpostus" value="$(bookpostus)"/>';
echo'<postfield name="news" value="$(news)"/>';
echo'<postfield name="forumpost" value="$(forumpost)"/>';
echo'<postfield name="forumtem" value="$(forumtem)"/>';
echo'<postfield name="chatpost" value="$(chatpost)"/>';
echo'<postfield name="userlist" value="$(userlist)"/>';
echo'<postfield name="rewnew" value="$(rewnew)"/>';
echo'<postfield name="board" value="$(board)"/>';
echo'<postfield name="prrivs" value="$(prrivs)"/>';
echo'<postfield name="sdvig" value="$(sdvig)"/>';
echo'<postfield name="times" value="$(times)"/>';
echo'<postfield name="graffic" value="$(graffic)"/>';
echo'<postfield name="editavator" value="$(editavator)"/>';
echo'<postfield name="ipcontrol" value="$(ipcontrol)"/>';
echo'<postfield name="udata74" value="$(udata74)"/>';
echo'</go></anchor><br><br>';
}

echo'* Значение всех полей (max.50)<br><br>';

} else {
echo '<br>Вы не авторизованы, чтобы изменять настройки необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}


echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>